import { Component, OnInit } from '@angular/core';
import { IonHeader, IonToolbar, IonTitle, IonContent, IonList, IonItem, IonThumbnail, IonLabel } from '@ionic/angular/standalone';

interface Recipe {
  id: number;
  title: string;
  imageUrl: string;
}

@Component({
  selector: 'app-page-type',
  templateUrl: './page-type.page.html',
  styleUrls: ['./page-type.page.scss'],
  standalone: true,
  imports: [IonHeader, IonToolbar, IonTitle, IonContent, IonList, IonItem, IonThumbnail, IonLabel]
})
export class PageTypePage implements OnInit {
  categoryName: string = '意大利菜';
  
  recipes: Recipe[] = [
    {
      id: 1,
      title: '经典意大利肉酱面',
      imageUrl: 'https://images.unsplash.com/photo-1555949258-eb67b1ef0ceb'
    },
    {
      id: 2,
      title: '奶油蘑菇意大利面',
      imageUrl: 'https://images.unsplash.com/photo-1611270629569'
    },
    {
      id: 3,
      title: '海鲜意大利面',
      imageUrl: 'https://images.unsplash.com/photo-1516100882582-96c3a05fe590'
    },
    {
      id: 4,
      title: '番茄罗勒意面',
      imageUrl: 'https://images.unsplash.com/photo-1608755728476'
    },
    {
      id: 5,
      title: '千层面',
      imageUrl: 'https://images.unsplash.com/photo-1611273426858'
    }
  ];

  constructor() { }

  ngOnInit() {
  }
}